You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@arrow.apache.org by we...@apache.org on 2018/08/06 19:40:30 UTC

[arrow] 15/15: ARROW-2813: [CI] [Followup] Disable gcov output in Travis-CI logs

This is an automated email from the ASF dual-hosted git repository.

wesm pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/arrow.git

commit 551e9cec0f04c91963411c735f744346b1772ae1
Author: Antoine Pitrou <an...@python.org>
AuthorDate: Mon Aug 6 15:38:38 2018 -0400

    ARROW-2813: [CI] [Followup] Disable gcov output in Travis-CI logs
    
    We don't actually need codecov's gcov discovery, since we gather coverage ourselves using `lcov` in the CI scripts. This suppresses hundreds of lines of logs in Travis-CI's output.
    
    Author: Antoine Pitrou <an...@python.org>
    
    Closes #2379 from pitrou/codecov-disable-gcov-discovery and squashes the following commits:
    
    cc06becb <Antoine Pitrou>  Disable gcov output in Travis-CI logs
---
 ci/travis_upload_cpp_coverage.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/ci/travis_upload_cpp_coverage.sh b/ci/travis_upload_cpp_coverage.sh
index 2b11c5e..38ea5d3 100755
--- a/ci/travis_upload_cpp_coverage.sh
+++ b/ci/travis_upload_cpp_coverage.sh
@@ -25,7 +25,7 @@ pushd $TRAVIS_BUILD_DIR
 
 # Display C++ coverage summary
 lcov --list $ARROW_CPP_COVERAGE_FILE
-# Upload report to CodeCov
-bash <(curl -s https://codecov.io/bash) || echo "Codecov did not collect coverage reports"
+# Upload report to CodeCov, disabling gcov discovery to save time and avoid warnings
+bash <(curl -s https://codecov.io/bash) -X gcov || echo "Codecov did not collect coverage reports"
 
 popd